Bug 71579 - /etc/init.d is still a symlink to legacy location
Summary: /etc/init.d is still a symlink to legacy location
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-15 11:33 UTC by Mike MacCana
Modified: 2014-03-17 02:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-21 06:59:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike MacCana 2002-08-15 11:33:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
The release of the Red Hat 8 beta is a good time to properly correct the
nonstandard, legacy location of the init.d directory. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Read the LSB
2.Examine /etc/init.d. It is a symlink to a legacy location.

	

Additional info:

This may be necessary to pass the LSB testsuites, though I'm not sure - anyone?

Comment 1 Bill Nottingham 2002-08-15 17:55:28 UTC
Can't do this, it breaks upgrades. :(

Comment 2 Mike MacCana 2002-08-21 06:57:06 UTC
Then perhaps reassign the bug to anaconda, if anaconda can't handle the
relocation? Otherwise, I think one should defer the bug - this will have to be
fixed at some point.

Comment 3 Bill Nottingham 2002-08-21 16:40:23 UTC
The upgrade issues are independent of anaconda. It's not practical to do the
switch. (we've tried before)


Note You need to log in before you can comment on or make changes to this bug.